//
// ONVIFCameraExposure.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ONVIFCameraExposure: Codable {

    public var currentRange: ONVIFCameraSettingsRange
    public var supportedRange: ONVIFCameraSettingsRange

    public init(currentRange: ONVIFCameraSettingsRange, supportedRange: ONVIFCameraSettingsRange) {
        self.currentRange = currentRange
        self.supportedRange = supportedRange
    }

    public enum CodingKeys: String, CodingKey { 
        case currentRange = "current_range"
        case supportedRange = "supported_range"
    }

}
